
xVersion" 2012.10.10.1"

module fatal

  #document fatal

    // Fatal error defs

  #endDoc

public


  // //////////////////////////////////////////////////////////////////////////

  " Not an error"                         createException ftNone            //  0 - just that, not an error
  " Intentional reboot"                   createException ftSystemDown      //  1 - not an error, soft reboot
  " Unimplemented word"                   createException ftUnimplemented   //  2 - Unimplemented word executed
  " Data stack not empty"                 createException ftStackNotEmpty   //  3 -
  " Stack depth not equal to last saved"  createException ftStackError      //  4 -
  " Assertion failed"                     createException ftAssertionFailed //  5 - General assertion failure
  " queue under or overflow"              createException ftQueueError      //  6
  " External flash verification error"    createException flerVerify1       //  7
  " External flash read timeout"          createException flerReadTimeout1  //  8
  " External flash write timeout"         createException flerWriteTimeout1 //  9
  " External flash timeout"               createException flerFlashTimeout1 // 10

  // buildExceptionMessages                  // Build exception strings

  // //////////////////////////////////////////////////////////////////////////

  : ?abort ( f bException -- )

    #// When f is true raise exception,
    #// otherwise just drop the top two stack entries.

    swap
    if
      raise
    else
      drop
    endIf
  ;

  // //////////////////////////////////////////////////////////////////////////

  : stackError ( -- )

      ftStackNotEmpty
      raise
  noreturn;


  // //////////////////////////////////////////////////////////////////////////

  : assertionFailed ( -- )

    ftAssertionFailed
    raise
  noreturn;


  // //////////////////////////////////////////////////////////////////////////

  : shutDown ( -- )

    ftSystemDown
    raise
  noreturn;


  // //////////////////////////////////////////////////////////////////////////

  : ?stackEmpty ( -- )   #// Check data stack to be empty

    sp0<>?                    // True when stack not empty
    ftStackNotEmpty           // Exception to raise on stack error
    ?abort                    // Raises on true
  ;


  // //////////////////////////////////////////////////////////////////////////

  : stackCheck ( -- )        #// Check data stack to be equal to value as set by sp!

    sp?                       // True when stack ok
    Not                       // true on stack not ok
    ftStackError              // Exception to raise on stack error
    ?abort                    // Rasises on true
  ;

  // //////////////////////////////////////////////////////////////////////////


  : assert ( f -- )          #// Assert f to be true, raise exception otherwise

    not                       // Invert, ?abort will raise on true
    ftAssertionFailed         // Exception to raise on assertion fail
    ?abort                    // Check flag and raise e
  ;

  // //////////////////////////////////////////////////////////////////////////

endModule

