
xVersion" 2012.10.10.1"

module hw_interface

// Hardware interfacing macro's

private

  uses
    hw_config   // hw_config defines XXXX_IniVal constants used by InitRegs
  endUses


  // //////////////////////////////////////////////////////////////////////////

  code RCON@ ( -- n ) // Get RCON value and clear RCON to it's reset value
                                    ; // Read RCON register into TOS
    PushReg   RCON
    mov       #<@" RCON_IniVal">, w1  ; // and clear it to the initialization value
    mov       w1, RCON
    mov       #0b1100010111011111, w1 ; // Keep the cause bits only
    and       w0, w1, w0            ; // Keep the cause bits only
    return                          ; // B/ ----> done
  endCode


  // //////////////////////////////////////////////////////////////////////////

  macro Reset ( ) ( -- ) // Reset the processor
                                    ; // Reset ( -- ) // reset processor
    Reset
  endMacro


  // //////////////////////////////////////////////////////////////////////////

  macro GoSleep ( ) ( -- ) // Enter sleep mode
                                    ; // GoSleep ( -- ) // enter sleep mode
    GoSleep
  endMacro


  // //////////////////////////////////////////////////////////////////////////

  macro GoIdle ( ) ( -- ) // Enter idle mode
                                    ; // GoIdle ( -- ) // enter idle mode
    GoIdle
  endMacro


  // //////////////////////////////////////////////////////////////////////////

  macro Disable ( ) ( -- ) // Disable all interrupts
                                    ; // Disable ( -- ) // disable interrupts
    Disable
  endMacro


  // //////////////////////////////////////////////////////////////////////////

  macro Enable ( ) ( -- ) // Enable all interrupts
                                    ; // Enable ( -- ) // enable interrupts
    Enable
  endMacro


  // //////////////////////////////////////////////////////////////////////////

  macro KickDog ( ) ( -- ) // Clear the watchdog timer
    clrwdt                          ; // KickDog ( -- ) - Kick internal dog
  endMacro





  // //////////////////////////////////////////////////////////////////////////


public

  export  RCON@       ( -- n  ) // Get RCON value and clear RCON to it's reset value
  export  Reset       ( --    ) // Reset the processor
  export  GoSleep     ( --    ) // Enter sleep mode
  export  GoIdle      ( --    ) // Enter idle mode
  export  Disable     ( --    ) // Disable all interrupts
  export  Enable      ( --    ) // Enable all interrupts
  export  KickDog     ( --    ) // Clear the watchdog timer

endModule

