
xVersion" 2012.10.10.1"

module hw_setup

public

  uses
    hw_config   // hw_config defines XXXX_IniVal constants used by InitRegs
  endUses


  // Reset (power-up) values for all hardware registers.
  // No setup code will be generated for registers that are initialized to
  // the default power up value, the following list makes the power up values
  // known to the assembler / 4th system.

  $0000 constant LATB_ResetVal
  $ffff constant TRISB_ResetVal
  $0000 constant ODCB_ResetVal

  $0000 constant LATC_ResetVal
  $f01e constant TRISC_ResetVal
  $0000 constant ODCC_ResetVal

  $0000 constant LATD_ResetVal
  $ffff constant TRISD_ResetVal
  $0000 constant ODCD_ResetVal

  $0000 constant LATE_ResetVal
  $00ff constant TRISE_ResetVal
  $0000 constant ODCE_ResetVal

  $0000 constant LATF_ResetVal
  $31ff constant TRISF_ResetVal
  $0000 constant ODCF_ResetVal

  $0000 constant LATG_ResetVal
  $f3cf constant TRISG_ResetVal
  $0000 constant ODCG_ResetVal

  $0000 constant RPINR0_ResetVal
  $0000 constant RPINR1_ResetVal
  $0000 constant RPINR2_ResetVal
  $0000 constant RPINR3_ResetVal
  $0000 constant RPINR4_ResetVal
  $0000 constant RPINR7_ResetVal
  $0000 constant RPINR8_ResetVal
  $0000 constant RPINR9_ResetVal
  $0000 constant RPINR10_ResetVal
  $0000 constant RPINR11_ResetVal
  $0000 constant RPINR15_ResetVal
  $0000 constant RPINR17_ResetVal
  $0000 constant RPINR18_ResetVal
  $0000 constant RPINR19_ResetVal
  $0000 constant RPINR20_ResetVal
  $0000 constant RPINR21_ResetVal
  $0000 constant RPINR22_ResetVal
  $0000 constant RPINR23_ResetVal
  $0000 constant RPINR27_ResetVal
  $0000 constant RPINR28_ResetVal
  $0000 constant RPINR29_ResetVal

  $0000 constant RPOR0_ResetVal
  $0000 constant RPOR1_ResetVal
  $0000 constant RPOR2_ResetVal
  $0000 constant RPOR3_ResetVal
  $0000 constant RPOR4_ResetVal
  $0000 constant RPOR5_ResetVal
  $0000 constant RPOR6_ResetVal
  $0000 constant RPOR7_ResetVal
  $0000 constant RPOR8_ResetVal
  $0000 constant RPOR9_ResetVal
  $0000 constant RPOR10_ResetVal
  $0000 constant RPOR11_ResetVal
  $0000 constant RPOR12_ResetVal
  $0000 constant RPOR13_ResetVal
  $0000 constant RPOR14_ResetVal

  $0000 constant SR_ResetVal

  $0000 constant CNPD1_ResetVal
  $0000 constant CNPD2_ResetVal
  $0000 constant CNPD3_ResetVal
  $0000 constant CNPD4_ResetVal
  $0000 constant CNPD5_ResetVal
  $0000 constant CNPD6_ResetVal

  $0000 constant CNEN1_ResetVal
  $0000 constant CNEN2_ResetVal
  $0000 constant CNEN3_ResetVal
  $0000 constant CNEN4_ResetVal
  $0000 constant CNEN5_ResetVal
  $0000 constant CNEN6_ResetVal

  $0000 constant CNPU1_ResetVal
  $0000 constant CNPU2_ResetVal
  $0000 constant CNPU3_ResetVal
  $0000 constant CNPU4_ResetVal
  $0000 constant CNPU5_ResetVal
  $0000 constant CNPU6_ResetVal

  $0000 constant INTCON1_ResetVal
  $0000 constant INTCON2_ResetVal

  $0000 constant IFS0_ResetVal
  $0000 constant IFS1_ResetVal
  $0000 constant IFS2_ResetVal
  $0000 constant IFS3_ResetVal
  $0000 constant IFS4_ResetVal
  $0000 constant IFS5_ResetVal
  $0000 constant IFS6_ResetVal

  $0000 constant IEC0_ResetVal
  $0000 constant IEC1_ResetVal
  $0000 constant IEC2_ResetVal
  $0000 constant IEC3_ResetVal
  $0000 constant IEC4_ResetVal
  $0000 constant IEC5_ResetVal
  $0000 constant IEC6_ResetVal

  $4444 constant IPC0_ResetVal
  $4440 constant IPC1_ResetVal
  $4444 constant IPC2_ResetVal
  $0044 constant IPC3_ResetVal
  $4444 constant IPC4_ResetVal
  $4404 constant IPC5_ResetVal
  $4440 constant IPC6_ResetVal
  $4444 constant IPC7_ResetVal
  $0044 constant IPC8_ResetVal
  $4440 constant IPC9_ResetVal
  $4444 constant IPC10_ResetVal
  $0004 constant IPC11_ResetVal
  $0440 constant IPC12_ResetVal
  $0440 constant IPC13_ResetVal
  $0400 constant IPC15_ResetVal
  $4440 constant IPC16_ResetVal
  $0004 constant IPC18_ResetVal
  $0040 constant IPC19_ResetVal
  $4440 constant IPC20_ResetVal
  $4444 constant IPC21_ResetVal
  $4444 constant IPC22_ResetVal
  $0044 constant IPC23_ResetVal
  $0004 constant IPC25_ResetVal

  $0000 constant INTTREG_ResetVal

  $0000 constant TMR1_ResetVal
  $ffff constant PR1_ResetVal
  $0000 constant T1CON_ResetVal
  $0000 constant TMR2_ResetVal
  $0000 constant TMR3_ResetVal
  $ffff constant PR2_ResetVal
  $ffff constant PR3_ResetVal
  $0000 constant T2CON_ResetVal
  $0000 constant T3CON_ResetVal
  $0000 constant TMR4_ResetVal
  $0000 constant TMR5_ResetVal
  $ffff constant PR4_ResetVal
  $ffff constant PR5_ResetVal
  $0000 constant T4CON_ResetVal
  $0000 constant T5CON_ResetVal

  $0000 constant IC1CON1_ResetVal
  $0000 constant IC1CON2_ResetVal
  $0000 constant IC2CON1_ResetVal
  $0000 constant IC2CON2_ResetVal
  $0000 constant IC3CON1_ResetVal
  $0000 constant IC3CON2_ResetVal
  $0000 constant IC4CON1_ResetVal
  $0000 constant IC4CON2_ResetVal
  $0000 constant IC5CON1_ResetVal
  $0000 constant IC5CON2_ResetVal
  $0000 constant IC6CON1_ResetVal
  $0000 constant IC6CON2_ResetVal
  $0000 constant IC7CON1_ResetVal
  $0000 constant IC7CON2_ResetVal
  $0000 constant IC8CON1_ResetVal
  $0000 constant IC8CON2_ResetVal
  $0000 constant IC9CON1_ResetVal
  $0000 constant IC9CON2_ResetVal

  $0000 constant OC1RS_ResetVal
  $0000 constant OC1R_ResetVal
  $0000 constant OC1CON1_ResetVal
  $0000 constant OC1CON2_ResetVal
  $0000 constant OC2RS_ResetVal
  $0000 constant OC2R_ResetVal
  $0000 constant OC2CON1_ResetVal
  $0000 constant OC2CON2_ResetVal
  $0000 constant OC3RS_ResetVal
  $0000 constant OC3R_ResetVal
  $0000 constant OC3CON1_ResetVal
  $0000 constant OC3CON2_ResetVal
  $0000 constant OC4RS_ResetVal
  $0000 constant OC4R_ResetVal
  $0000 constant OC4CON1_ResetVal
  $0000 constant OC4CON2_ResetVal
  $0000 constant OC5RS_ResetVal
  $0000 constant OC5R_ResetVal
  $0000 constant OC5CON1_ResetVal
  $0000 constant OC5CON2_ResetVal
  $0000 constant OC6RS_ResetVal
  $0000 constant OC6R_ResetVal
  $0000 constant OC6CON1_ResetVal
  $0000 constant OC6CON2_ResetVal
  $0000 constant OC7RS_ResetVal
  $0000 constant OC7R_ResetVal
  $0000 constant OC7CON1_ResetVal
  $0000 constant OC7CON2_ResetVal
  $0000 constant OC8RS_ResetVal
  $0000 constant OC8R_ResetVal
  $0000 constant OC8CON1_ResetVal
  $0000 constant OC8CON2_ResetVal
  $0000 constant OC9RS_ResetVal
  $0000 constant OC9R_ResetVal
  $0000 constant OC9CON1_ResetVal
  $0000 constant OC9CON2_ResetVal

  $0000 constant I2C1BRG_ResetVal
  $0000 constant I2C1CON_ResetVal
  $0000 constant I2C1STAT_ResetVal
  $0000 constant I2C2BRG_ResetVal
  $0000 constant I2C2CON_ResetVal
  $0000 constant I2C2STAT_ResetVal
  $0000 constant I2C3BRG_ResetVal
  $0000 constant I2C3CON_ResetVal
  $0000 constant I2C3STAT_ResetVal

  $0000 constant U1MODE_ResetVal
  $0000 constant U1STA_ResetVal
  $0000 constant U1BRG_ResetVal
  $0000 constant U2MODE_ResetVal
  $0000 constant U2STA_ResetVal
  $0000 constant U2BRG_ResetVal
  $0000 constant U3MODE_ResetVal
  $0000 constant U3STA_ResetVal
  $0000 constant U3BRG_ResetVal
  $0000 constant U4MODE_ResetVal
  $0000 constant U4STA_ResetVal
  $0000 constant U4BRG_ResetVal

  $0000 constant SPI1STAT_ResetVal
  $0000 constant SPI1CON1_ResetVal
  $0000 constant SPI1CON2_ResetVal
  $0000 constant SPI2STAT_ResetVal
  $0000 constant SPI2CON1_ResetVal
  $0000 constant SPI2CON2_ResetVal
  $0000 constant SPI3STAT_ResetVal
  $0000 constant SPI3CON1_ResetVal
  $0000 constant SPI3CON2_ResetVal

  $0000 constant PADCFG1_ResetVal

  $0000 constant AD1CON1_ResetVal
  $0000 constant AD1CON2_ResetVal
  $0000 constant AD1CON3_ResetVal
  $0000 constant AD1CHS0_ResetVal
  $0000 constant AD1CSSH_ResetVal
  $0000 constant AD1CSSL_ResetVal

  $0000 constant CTMUCON_ResetVal
  $0000 constant CTMUICON_ResetVal
  $0000 constant U1OTGIR_ResetVal
  $0000 constant U1OTGIE_ResetVal
  $0000 constant U1OTGSTAT_ResetVal
  $0000 constant U1OTGCON_ResetVal
  $0000 constant U1PWRC_ResetVal
  $0000 constant U1IR_ResetVal
  $0000 constant U1IE_ResetVal
  $0000 constant U1EIR_ResetVal
  $0000 constant U1EIE_ResetVal
  $0000 constant U1STAT_ResetVal
  $0000 constant U1CON_ResetVal
  $0000 constant U1ADDR_ResetVal
  $0000 constant U1BDTP1_ResetVal
  $0000 constant U1FRML_ResetVal
  $0000 constant U1FRMH_ResetVal
  $0000 constant U1TOK_ResetVal
  $0000 constant U1SOF_ResetVal
  $0000 constant U1CNFG1_ResetVal
  $0000 constant U1CNFG2_ResetVal
  $0000 constant U1EP0_ResetVal
  $0000 constant U1EP1_ResetVal
  $0000 constant U1EP2_ResetVal
  $0000 constant U1EP3_ResetVal
  $0000 constant U1EP4_ResetVal
  $0000 constant U1EP5_ResetVal
  $0000 constant U1EP6_ResetVal
  $0000 constant U1EP7_ResetVal
  $0000 constant U1EP8_ResetVal
  $0000 constant U1EP9_ResetVal
  $0000 constant U1EP10_ResetVal
  $0000 constant U1EP11_ResetVal
  $0000 constant U1EP12_ResetVal
  $0000 constant U1EP13_ResetVal
  $0000 constant U1EP14_ResetVal
  $0000 constant U1EP15_ResetVal
  $0000 constant U1PWMRRS_ResetVal
  $0000 constant U1PWMCON_ResetVal
  $0000 constant ANCFG_ResetVal
  $0000 constant ANSB_ResetVal
  $0000 constant ANSC_ResetVal
  $0000 constant ANSD_ResetVal
  $0000 constant ANSF_ResetVal
  $0000 constant ANSG_ResetVal
  $0000 constant ALCFGRPT_ResetVal
  $0000 constant RCFGCAL_ResetVal
  $0000 constant CMSTAT_ResetVal
  $0000 constant CVRCON_ResetVal
  $0000 constant CM1CON_ResetVal
  $0000 constant CM2CON_ResetVal
  $0000 constant CM3CON_ResetVal
  $0000 constant CRCCON1_ResetVal
  $0000 constant CRCCON2_ResetVal
  $0000 constant CRCXORL_ResetVal
  $0000 constant CRCXORH_ResetVal

  $0000 constant G1CMDL_ResetVal
  $0000 constant G1CMDH_ResetVal
  $0000 constant G1CON1_ResetVal
  $0000 constant G1STAT_ResetVal
  $0000 constant G1IE_ResetVal
  $0000 constant G1IR_ResetVal
  $0000 constant G1W1ADRL_ResetVal
  $0000 constant G1W1ADRH_ResetVal
  $0000 constant G1W2ADRL_ResetVal
  $0000 constant G1W2ADRH_ResetVal
  $0000 constant G1PUW_ResetVal
  $0000 constant G1PUH_ResetVal
  $0000 constant G1DPADRL_ResetVal
  $0000 constant G1DPADRH_ResetVal
  $0000 constant G1DPW_ResetVal
  $0000 constant G1DPH_ResetVal
  $0000 constant G1DPWT_ResetVal
  $0000 constant G1DPHT_ResetVal
  $0000 constant G1CON2_ResetVal
  $0000 constant G1CON3_ResetVal
  $0000 constant G1ACTDA_ResetVal
  $0000 constant G1HSYNC_ResetVal
  $0000 constant G1VSYNC_ResetVal
  $0000 constant G1DBLCON_ResetVal
  $0000 constant G1CLUT_ResetVal
  $0000 constant G1CLUTWR_ResetVal
  $0000 constant G1CLUTRD_ResetVal
  $0000 constant G1MRGN_ResetVal
  $0000 constant G1CHRX_ResetVal
  $0000 constant G1CHRY_ResetVal
  $0000 constant G1IPU_ResetVal
  $0000 constant G1DBEN_ResetVal


  $0000 constant RCON_ResetVal
  $7700 constant OSCCON_ResetVal
  $3040 constant CLKDIV_ResetVal
  $3040 constant CLKDIV2_ResetVal
  $0000 constant NVMCON_ResetVal
  $0000 constant NVMKEY_ResetVal
  $0000 constant PMD1_ResetVal
  $0000 constant PMD2_ResetVal
  $0000 constant PMD3_ResetVal
  $0000 constant PMD4_ResetVal
  $0000 constant PMD5_ResetVal
  $0000 constant PMD6_ResetVal



  // //////////////////////////////////////////////////////////////////////////
  //
  // Register setup :
  //
  //  Uses register definitions from somewhere else, these must be
  //  4th constant definitions of the form :
  //
  //    n constant XXXX_IniVal
  //
  //  Where :
  //
  //    n    : a value
  //    XXXX : a valid PIC24 register name - see processor dependent .INC file,
  //           hw_config.4th and hw_interface.4th
  //
  //  Use as :
  //
  //    InitReg XXXX
  //
  // //////////////////////////////////////////////////////////////////////////

  macro InitReg ( aName ) ( -- ) // Register initialization helper
    .ifdef <@" $aName$">_IniVal
      .if <@" $aName$">_IniVal != <@" $aName$">_ResetVal
                                    ; // Initialize hw_reg '$aName$'
      mov     #<@" $aName$">_IniVal, w1
      mov     w1, $aName$
      .endif
    .endif
  endMacro




  // //////////////////////////////////////////////////////////////////////////

  : InitRegs ( -- )

    #// Initialize controller hardware registers.
    #// No code is generated for registers that
    #// are initialized identical to the startup
    #// value.

    InitReg   LATB
    InitReg   TRISB
    InitReg   ODCB

    InitReg   LATC
    InitReg   TRISC
    InitReg   ODCC

    InitReg   LATD
    InitReg   TRISD
    InitReg   ODCD

    InitReg   LATE
    InitReg   TRISE
    InitReg   ODCE

    InitReg   LATF
    InitReg   TRISF
    InitReg   ODCF

    InitReg   LATG
    InitReg   TRISG
    InitReg   ODCG

    InitReg   RPINR0
    InitReg   RPINR1
    InitReg   RPINR2
    InitReg   RPINR3
    InitReg   RPINR4
    InitReg   RPINR7
    InitReg   RPINR8
    InitReg   RPINR9
    InitReg   RPINR10
    InitReg   RPINR11
    InitReg   RPINR15
    InitReg   RPINR17
    InitReg   RPINR18
    InitReg   RPINR19
    InitReg   RPINR20
    InitReg   RPINR21
    InitReg   RPINR22
    InitReg   RPINR23
    InitReg   RPINR27
    InitReg   RPINR28
    InitReg   RPINR29

    InitReg   RPOR0
    InitReg   RPOR1
    InitReg   RPOR2
    InitReg   RPOR3
    InitReg   RPOR4
    InitReg   RPOR5
    InitReg   RPOR6
    InitReg   RPOR7
    InitReg   RPOR8
    InitReg   RPOR9
    InitReg   RPOR10
    InitReg   RPOR11
    InitReg   RPOR12
    InitReg   RPOR13
    InitReg   RPOR14

    InitReg   SR

    InitReg   CNPD1
    InitReg   CNPD2
    InitReg   CNPD3
    InitReg   CNPD4
    InitReg   CNPD5
    InitReg   CNPD6

    InitReg   CNEN1
    InitReg   CNEN2
    InitReg   CNEN3
    InitReg   CNEN4
    InitReg   CNEN5
    InitReg   CNEN6

    InitReg   CNPU1
    InitReg   CNPU2
    InitReg   CNPU3
    InitReg   CNPU4
    InitReg   CNPU5
    InitReg   CNPU6

    InitReg   INTCON1
    InitReg   INTCON2

    InitReg   IFS0
    InitReg   IFS1
    InitReg   IFS2
    InitReg   IFS3
    InitReg   IFS4
    InitReg   IFS5
    InitReg   IFS6

    InitReg   IEC0
    InitReg   IEC1
    InitReg   IEC2
    InitReg   IEC3
    InitReg   IEC4
    InitReg   IEC5
    InitReg   IEC6

    InitReg   IPC0
    InitReg   IPC1
    InitReg   IPC2
    InitReg   IPC3
    InitReg   IPC4
    InitReg   IPC5
    InitReg   IPC6
    InitReg   IPC7
    InitReg   IPC8
    InitReg   IPC9
    InitReg   IPC10
    InitReg   IPC11
    InitReg   IPC12
    InitReg   IPC13
    InitReg   IPC15
    InitReg   IPC16
    InitReg   IPC18
    InitReg   IPC19
    InitReg   IPC20
    InitReg   IPC21
    InitReg   IPC22
    InitReg   IPC23
    InitReg   IPC25

    InitReg   INTTREG

    InitReg   TMR1
    InitReg   PR1
    InitReg   T1CON
    InitReg   TMR2
    InitReg   TMR3
    InitReg   PR2
    InitReg   PR3
    InitReg   T2CON
    InitReg   T3CON
    InitReg   TMR4
    InitReg   TMR5
    InitReg   PR4
    InitReg   PR5
    InitReg   T4CON
    InitReg   T5CON

    InitReg   IC1CON1
    InitReg   IC1CON2
    InitReg   IC2CON1
    InitReg   IC2CON2
    InitReg   IC3CON1
    InitReg   IC3CON2
    InitReg   IC4CON1
    InitReg   IC4CON2
    InitReg   IC5CON1
    InitReg   IC5CON2
    InitReg   IC6CON1
    InitReg   IC6CON2
    InitReg   IC7CON1
    InitReg   IC7CON2
    InitReg   IC8CON1
    InitReg   IC8CON2
    InitReg   IC9CON1
    InitReg   IC9CON2

    InitReg   OC1RS
    InitReg   OC1R
    InitReg   OC1CON1
    InitReg   OC1CON2
    InitReg   OC2RS
    InitReg   OC2R
    InitReg   OC2CON1
    InitReg   OC2CON2
    InitReg   OC3RS
    InitReg   OC3R
    InitReg   OC3CON1
    InitReg   OC3CON2
    InitReg   OC4RS
    InitReg   OC4R
    InitReg   OC4CON1
    InitReg   OC4CON2
    InitReg   OC5RS
    InitReg   OC5R
    InitReg   OC5CON1
    InitReg   OC5CON2
    InitReg   OC6RS
    InitReg   OC6R
    InitReg   OC6CON1
    InitReg   OC6CON2
    InitReg   OC7RS
    InitReg   OC7R
    InitReg   OC7CON1
    InitReg   OC7CON2
    InitReg   OC8RS
    InitReg   OC8R
    InitReg   OC8CON1
    InitReg   OC8CON2
    InitReg   OC9RS
    InitReg   OC9R
    InitReg   OC9CON1
    InitReg   OC9CON2

    InitReg   I2C1BRG
    InitReg   I2C1CON
    InitReg   I2C1STAT
    InitReg   I2C2BRG
    InitReg   I2C2CON
    InitReg   I2C2STAT
    InitReg   I2C3BRG
    InitReg   I2C3CON
    InitReg   I2C3STAT

    InitReg   U1MODE
    InitReg   U1STA
    InitReg   U1BRG
    InitReg   U2MODE
    InitReg   U2STA
    InitReg   U2BRG
    InitReg   U3MODE
    InitReg   U3STA
    InitReg   U3BRG
    InitReg   U4MODE
    InitReg   U4STA
    InitReg   U4BRG

    InitReg   SPI1STAT
    InitReg   SPI1CON1
    InitReg   SPI1CON2
    InitReg   SPI2STAT
    InitReg   SPI2CON1
    InitReg   SPI2CON2
    InitReg   SPI3STAT
    InitReg   SPI3CON1
    InitReg   SPI3CON2

    InitReg   PADCFG1

    InitReg   AD1CON1
    InitReg   AD1CON2
    InitReg   AD1CON3
    InitReg   AD1CHS0
    InitReg   AD1CSSH
    InitReg   AD1CSSL

    InitReg   CTMUCON
    InitReg   CTMUICON
    InitReg   U1OTGIR
    InitReg   U1OTGIE
    InitReg   U1OTGSTAT
    InitReg   U1OTGCON
    InitReg   U1PWRC
    InitReg   U1IR
    InitReg   U1IE
    InitReg   U1EIR
    InitReg   U1EIE
    InitReg   U1STAT
    InitReg   U1CON
    InitReg   U1ADDR
    InitReg   U1BDTP1
    InitReg   U1FRML
    InitReg   U1FRMH
    InitReg   U1TOK
    InitReg   U1SOF
    InitReg   U1CNFG1
    InitReg   U1CNFG2
    InitReg   U1EP0
    InitReg   U1EP1
    InitReg   U1EP2
    InitReg   U1EP3
    InitReg   U1EP4
    InitReg   U1EP5
    InitReg   U1EP6
    InitReg   U1EP7
    InitReg   U1EP8
    InitReg   U1EP9
    InitReg   U1EP10
    InitReg   U1EP11
    InitReg   U1EP12
    InitReg   U1EP13
    InitReg   U1EP14
    InitReg   U1EP15
    InitReg   U1PWMRRS
    InitReg   U1PWMCON
    InitReg   ANCFG
    InitReg   ANSB
    InitReg   ANSC
    InitReg   ANSD
    InitReg   ANSF
    InitReg   ANSG
    InitReg   ALCFGRPT
    InitReg   RCFGCAL
    InitReg   CMSTAT
    InitReg   CVRCON
    InitReg   CM1CON
    InitReg   CM2CON
    InitReg   CM3CON
    InitReg   CRCCON1
    InitReg   CRCCON2
    InitReg   CRCXORL
    InitReg   CRCXORH
    InitReg   G1CMDL
    InitReg   G1CMDH
    InitReg   G1CON1
    InitReg   G1STAT
    InitReg   G1IE
    InitReg   G1IR
    InitReg   G1W1ADRL
    InitReg   G1W1ADRH
    InitReg   G1W2ADRL
    InitReg   G1W2ADRH
    InitReg   G1PUW
    InitReg   G1PUH
    InitReg   G1DPADRL
    InitReg   G1DPADRH
    InitReg   G1DPW
    InitReg   G1DPH
    InitReg   G1DPWT
    InitReg   G1DPHT
    InitReg   G1CON2
    InitReg   G1CON3
    InitReg   G1ACTDA
    InitReg   G1HSYNC
    InitReg   G1VSYNC
    InitReg   G1DBLCON
    InitReg   G1CLUT
    InitReg   G1CLUTWR
    InitReg   G1CLUTRD
    InitReg   G1MRGN
    InitReg   G1CHRX
    InitReg   G1CHRY
    InitReg   G1IPU
    InitReg   G1DBEN

    InitReg   RCON
    InitReg   OSCCON
    InitReg   CLKDIV
    InitReg   CLKDIV2
    InitReg   NVMCON
    InitReg   NVMKEY
    InitReg   PMD1
    InitReg   PMD2
    InitReg   PMD3
    InitReg   PMD4
    InitReg   PMD5
    InitReg   PMD6
  ;

endModule

