
xVersion" 2012.10.10.1"


  // MarkAllUsed  todo' comment MarkAllUsed out'  // Uncomment to mark all words as used

  mangleprefix' _'                                // For compatibility with C code naming convention
  outputFile' program.s'                          // name of output file to be generated by x4th

  // Note :
  //
  //   All compiled 4th words end up translated in one assembly file, only global functions will
  //   be accessible from other link modules (including C). It's easiest to use only valid C
  //   identifiers for words that have to be called from C, no special names will then be needed
  //   in the C code.


  // Select one target processor

  // Note :
  //
  //   Although any processor can be used I set up the application dependent hardware
  //   configuration files to work with the 24fj256da206, for other processors there
  //   will likely be some undefined registers and some registers that are not mentioned
  //   but probably should be. So with the current set of files only the 24fj256da210
  //   family can directly be used.

                          // ROM     RAM

  // #define 24fj128da106 // 131072  24576
  // #define 24fj256da106 // 262144  24576
  // #define 24fj128da110 // 131072  24576
  // #define 24fj256da110 // 262144  24576
  // #define 24fj128da206 // 131072  73728
     #define 24fj256da206 // 262144  73728
  // #define 24fj128da210 // 131072  73728
  // #define 24fj256da210 // 262144  73728

  include' 24xxxx.4th'                            // Processor family  specific library file.

  title     <pic 24 setup test>                   // Set a title for the listing
  // cr " SearchPath '" . SearchPath . " '". cr   // Show the file search path

  // Version info etc.

  " p24tst"        string hwVersion               // Hardware version
  " 01"            string swVersion               // Software version
  hwVersion " -" +
  swVersion      + string Version                 // Concatenate hard/software versions as Version

  " Version           : " Version .info           // Show version feedback info on console


  // The list of files that are in the project

  include' utils.4th'                             // Utility words
  include' fatal.4th'                             // Fatal error handling
  include' hw_config.4th'                         // Hardware configuration   (definitions)
  include' hw_setup.4th'                          // Hardware initialization  (intializations)
  include' hw_interface.4th'                      // Hardware interface words (interfaces)
  include' timers.4th'                            // Timer definitions
  include' queues.4th'                            // Queue definitions
  include' state_machines.4th'                    // State machine definitions
  include' interrupt.4th'                         // Interrupt handlers
  include' tmr1.4th'                              // TMR1  driver - runs 4th timers
  include' spi1.4th'                              // SPI1  driver
  include' uart1.4th'                             // UART1 driver
  include' sets.4th'                              // Set words
  include' strings.4th'                           // Set words
  include' numconvert.4th'                        // Number printing stuff
  include' memory.4th'                            // Internal flash memory driver
  include' flash.4th'                             // External SPI flash memory driver
  include' compiler_tests.4th'                    // Tests ...
  include' admin.4th'                             // Administrative layout over flash

  include' forth.4th'

  include' work.4th'                              // The application, defining Main as public.


  // Compilation of loaded words.

  import   work                                   // Import the Work Module for the word 'main'
  mainWord main                                   // Set 'main' as the main word.
  build                                           // Build the output file


  // Some debug and documentation stuff, comment in/out as needed

  // ShowVocs                                     // Show vocabularies used
  // ShowStatistics                               // Show ram usage and Do .. Loop info
  // GenerateDebug                                // Show words by voc order (with details)
  // ShowCallCounts                               // Shows call counts & stack depth info
  // ShowCallTree                                 // And some more
  // SystemDump' dump.txt'                        // Make a full system dump into file specified - slow!
  // Documentation' program.html'                 // Generate documentation  into file specified - slow!

